%define oname	ccsm

Name:		compiz-ccsm
Epoch:		1
Version:	0.8.18
Release:	%mkrel 1
Summary:	Compiz Config Settings Manager
Group:		System/X11
License:	GPLv2+
Url:		https://github.com/compiz-reloaded/ccsm
Source0:	https://github.com/compiz-reloaded/ccsm/archive/v%{version}/%{oname}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	compiz-devel >= 1:0.8.18
BuildRequires:	intltool
BuildRequires:	python3-devel

Provides:	ccsm = %{EVRD}
Requires:	compizconfig-python
Requires:	compiz >= 1:0.8.18

%description
Configuration tool for Compiz when used with the ccp configuration plugin (default).

#----------------------------------------------------------------------------

%prep
%setup -q -n %{oname}-%{version}

%build
%py3_build -- --prefix=%{_prefix} --with-gtk=3.0

%install
%py3_install -- --prefix=%{_prefix}

%find_lang %{oname}

%files -f %{oname}.lang
%{_bindir}/ccsm
%{_datadir}/ccsm/
%{_datadir}/applications/ccsm.desktop
%{_datadir}/metainfo/ccsm.appdata.xml
%{_datadir}/compiz/icons/hicolor/*/*/*.{svg,png}
%{_iconsdir}/hicolor/*/apps/ccsm.*

%{python3_sitelib}/ccm/
%{python3_sitelib}/ccsm-%{version}-py?.?.egg-info


%changelog
* Sat Apr 18 2020 wally <wally> 1:0.8.18-1.mga8
+ Revision: 1568932
- new version 0.8.18

* Sun Feb 16 2020 umeabot <umeabot> 1:0.8.16-4.mga8
+ Revision: 1531010
- Mageia 8 Mass Rebuild

* Sun Sep 08 2019 wally <wally> 1:0.8.16-3.mga8
+ Revision: 1438465
- rebuild for python3.8

* Mon Jan 07 2019 wally <wally> 1:0.8.16-2.mga7
+ Revision: 1350658
- rebuild for python3.7

* Sun Dec 09 2018 wally <wally> 1:0.8.16-1.mga7
+ Revision: 1339345
- new version 0.8.16 (from compiz-reloaded project)
+ julien <julien>
- Merged with compiz

* Sun Nov 27 2011 julien <julien> 0.9.5.92-2.mga2
+ Revision: 173060
- clean up spec a bit

* Sun Nov 06 2011 julien <julien> 0.9.5.92-1.mga2
+ Revision: 164325
- upgrade to version 0.9.5.92
- drop very old obsolete
- cleanup spec file a bit
+ dmorgan <dmorgan>
- New version 0.9.4
  Add fedora patch ( add widgets_filter patch (Bz 553665) )
  Do not build on all arch
- Backport fedora fix:
  	- requires compiz - if you launch ccsm without compiz installed you get
  		a very dull empty window

* Mon Feb 28 2011 eandry <eandry> 0.8.4-4.mga1
+ Revision: 61790
- clean spec
- fix source and url
+ colin <colin>
- imported package ccsm

